Logs

Everything about PostgreSQL logs.

Get logs of your cluster

get

Retrieves PostgreSQL logs based on the given parameters.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Query parameters
startstring · date-timeOptional

The start time for the query in RFC3339 format. Must not be more than 30 days ago but before the end parameter. The default is 30 days ago.

endstring · date-timeOptional

The end time for the query in RFC3339 format. Must not be greater than now. The default is the current timestamp.

directionstring · enumOptional

The direction in which to scan through the logs. The logs are returned in order of the direction.

Default: BACKWARDPossible values:
limitinteger · min: 1 · max: 5000Optional

The maximal number of log lines to return. If the limit is reached then log lines will be cut at the end (respecting the scan direction).

Default: 100
Responses
chevron-right
200

Successful operation.

application/json

The logs of the PostgreSQL cluster.

get
/clusters/{clusterId}/logs

Last updated

Was this helpful?